Incus - Command line client(1)

NAME
incus-image-generate-metadata - Generate a metadata tarball

SYNOPSIS
incus image generate-metadata [flags]

DESCRIPTION
Description:
  Generate a metadata tarball

This command produces an incus.tar.xz tarball for use during import with an existing QCOW2 or squashfs disk image.

This command will prompt for all of the metadata tarball fields:
   - Operating system name
   - Release
   - Variant
   - Architecture
   - Description

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

SEE ALSO
incus-image(1)

HISTORY
10-Jul-2026 Auto generated by spf13/cobra